오펜시브 시큐리티 사이트에서 칼리리눅스(Kali Linux) 최신 버전이 가상 이미지로 배포되어 다운로드 받으려고 남은 시간을 보니 3일 소요된다고 나온다.


오펜시브 시큐리티 외의 osboxes.org 사이트에서 칼리 리눅스를 VMDK 형식의 파일로 배포하고 있다. 이 사이트에서 다운로드 받으려고 남은 시간을 보니 20분 소요된다고 나온다.

 

▶ osboxes.org : Kali Linux


다운로드 받은 VMDK 형식의 파일을 VMware Workstation이 인식할 수 있게 변환 작업을 하고, 실행해보니 커널 관련 에러가 발생해 부팅이 되지 않는다.


구 버전의 칼리리눅스에서 업그레이드

부팅 관련 에러가 발생해서 기존의 설치된 Kali Linux 2016.01 버전에서 업그레이드를 진행한다. 구 버전의 칼리리눅스 이미지가 필요하다면 다운로드 사이트 주소에서 맨 뒤의 숫자만 변경하면 된다.


https://images.offensive-security.com/virtual-images/kali-linux-2017.3-vm-amd64.7z
https://images.offensive-security.com/virtual-images/kali-linux-2017.2-vm-amd64.7z

칼리 리눅스 저장소(레퍼지토리)에서 롤링 버전의 경로를 확인하고, /etc/apt/sources.list 파일에 붙여넣는다.

 



최신 버전으로 업그레이드를 할 것이므로 반드시 의존성을 검사한 후 업그레이드를 진행해야 한다. 


 ○ apt-get update && apt-get upgrade && apt-get dist-upgrade   (창 나오면 : yes / standalone / yes)



입력 요구 창

 ○ Configuring macchanger : yes

 ○  sslh configuration : standalone

 ○ Configuring libc6:i386 : Yes


GPG 에러 발생

 ○ wget -q -O - https://archive.kali.org/archive-key.asc | apt-key add


의존성 에러 발생

 ○ dpkg --configure -a

 ○ apt update && apt-get autoclean && apt-get clean && apt-get autoremove

 ○ apt dist-upgrade -y


설치가 완료되면 2016.1 버전에서 2018.1 버전으로 변경된다. 하지만, 재부팅을 하면 칼리 리눅스를 재부팅하면 다음과 같은 메시지만 출력되고 다음 화면으로 넘어 가지 않는다.


 ○ end Kernel panic not syncing corrupted stack end detected inside scheduler



기존 버전의 칼리리눅스로 부팅

패키지를 설치할 때, 의존성 문제로 정상적으로 부팅이 되지 않는다. 현재 설치된 이미지가 4.3(이전 버전), 4.14(최신 버전) 2개 존재하며 기본적으로 4.14로 선택되어 부팅이 되면 로그인 화면까지 넘어가지 않는다.


이럴 때, 임시 방편으로 이전에 사용한 버전으로 선택하여 부팅하면 된다.


GRUB 화면이 나오면 다음과 같이 설정
Kali GUN/Linux
*Advanced options for Kali GND/Linux     <- Enter

*Kali GND/Linux, with Linux 4.14.0-Kali3-amd64
Kali GND/Linux, with Linux 4.3   <- Enter

현재 발생된 문제

 ○ 이전 버전의 칼리리눅스에서 최신 버전으로 업그레이드를 할때 의존성 에러 발생

 ○ 최신 버전의 칼리리눅스 ISO 파일을 설치할 때 부팅 커널 에러 발생

 ○ 오펜시브 시큐리티에서 배포한 최신 버전의 칼리리눅스 이미지 구동 시 부팅 커널 에러 발생


VMware Workstation 최신 버전 설치 후 실행

VMware Workstation이 최신 버전이 아니어서 커널 관련 에러가 발생해 부팅이 되지 않을 것이라는 의문을 가졌다. 최신 버전으로 설치를 하고, 최신 버전의 칼리리눅스를 실행해보니 에러 없이 정상적으로 로그인이 된다.


최신 버전의 칼리리눅스가 정상적으로 실행되면 한글화하는 방법은 nabi, im-switch font-nanum 패키지를 설치하고, 재부팅을 하면 된다.


# apt-get -y install nabi im-switch fonts-nanum
# im-config -s nabi 
# im-config -c (OK > YES > Hangul)
# reboot



▶ 칼리리눅스 초기설정

▶ 칼리리눅스 레지스트리

▶ 칼리리눅스 SSL Strip 공격 방어

▶ Metasploit meterpreter 기능 및 사용법

▶ Metasploit(msfvenom) 쉘코드 디코딩

▶ 모의해킹이란

▶ sqlmap - SQL Injection


  • 카카오톡-공유
  • 네이버-블로그-공유
  • 네이버-밴드-공유
  • 페이스북-공유
  • 트위터-공유
  • 카카오스토리-공유

댓글을 달아 주세요